curl --request GET \
--url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/surveys/{surveyId}/stats \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/surveys/{surveyId}/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/surveys/{surveyId}/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalSent": 150,
"totalOpened": 120,
"totalCompleted": 80,
"totalError": 5,
"totalPending": 20,
"totalUnopened": 70,
"totalTarget": 175,
"responseRate": 53.33
}Get survey statistics
Retrieve delivery and response statistics for a specific survey, including sent, opened, completed, error and pending counts, and the response rate.
承認
レスポンス
Successfully retrieved survey statistics
Total number of targets that have been sent (status !== error && status !== pending)
150
Total number of targets that have been opened (status === opened, completed)
120
Total number of targets that have been completed (status === completed)
80
Total number of targets with delivery errors (lastDeliverNotificationExecutionStatus === error)
5
Total number of targets that are pending (status === pending)
20
Total number of targets that are unopened (status === pending, sent)
70
Total number of targets for this survey
175
Response rate as percentage (completed / totalSent * 100)
53.33
このページは役に立ちましたか?

